%define lib_name_orig lib%{name}
%define lib_major 2
%define lib_name %{lib_name_orig}%{lib_major}

Summary:	GNU Binary Utility Development Utilities
Name:		binutils
Version:	2.10.1.0.2
Release:	4mdk
License:	GPL
Group:		Development/Other
URL:		http://sourceware.cygnus.com/binutils
Source:		ftp://ftp.valinux.com/pub/support/hjl/binutils/binutils-%{version}.tar.bz2
Patch1:		binutils-sparc-dwarf2.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	texinfo

%description
Binutils is a collection of binary utilities, including:

   * ar: creating modifying and extracting from archives
   * nm: for listing symbols from object files
   * objcopy: for copying and translating object files
   * objdump: for displaying information from object files
   * ranlib: for generating an index for the contents of an archive
   * size: for listing the section sizes of an object or archive file
   * strings: for listing printable strings from files
   * strip: for discarding symbols (a filter for demangling encoded C++ symbols
   * addr2line: for converting addresses to file and line
   * nlmconv: for converting object code into an NLM

Install binutils if you need to perform any of these types of actions on
binary files.  Most programmers will want to install binutils.

%package -n %{lib_name}
Summary: Main library for %{name}
Group: System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with binutils.

%package -n %{lib_name}-devel
Summary: Main library for %{name}
Group: System/Libraries
Requires: %{lib_name}  = %{version}
Provides: libbinutils-devel

%description -n %{lib_name}-devel
This package contains the library needed to run programs dynamically
linked with binutils.

This is the development headers for %{lib_name}

%prep

%setup -q
%patch1 -p0

%build
ADDITIONAL_TARGETS=""
%ifos linux
%ifarch sparc
ADDITIONAL_TARGETS="--enable-targets=sparc64-linux"
%endif
%endif

# Binutils come with its own custom libtool
%define __libtoolize echo
%configure --enable-shared $ADDITIONAL_TARGETS
perl -p -i -e 's,^(lib(bfd|opcodes))_la_LDFLAGS.*=.*,$1_la_LDFLAGS = -release \$(VERSION) -version-info %{lib_major},' \
		opcodes/Makefile bfd/Makefile

%make tooldir=%{_prefix}usr all info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
%makeinstall infodir=${RPM_BUILD_ROOT}%{_infodir} install-info

install -m 644 include/libiberty.h $RPM_BUILD_ROOT%{_includedir}
chmod +x $RPM_BUILD_ROOT%{_libdir}/lib*.so*

# This one comes from egcs
rm -f $RPM_BUILD_ROOT%{_bindir}/c++filt

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info as.info

%_install_info bfd.info

%_install_info binutils.info

%_install_info gasp.info

%_install_info gprof.info

%_install_info ld.info

%_install_info standards.info

%preun
%_remove_install_info as.info

%_remove_install_info bfd.info

%_remove_install_info binutils.info

%_remove_install_info gasp.info

%_remove_install_info gprof.info

%_remove_install_info ld.info

%_remove_install_info standards.info

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man1/*
%{_includedir}/*
%{_infodir}/*info*

%files -n %{lib_name}
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc README
%{_libdir}/*.a
%{_libdir}/*.so

%changelog

* Thu Apr 12 2001 Francis Galiegue <fg@mandrakesoft.com> 2.10.1.0.2-4mdk

- No longer excludearch ia64

* Mon Jan 22 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 2.10.1.0.2-3mdk
- rebuild to fix broken src.rpm on mirrors

* Fri Jan 05 2001 David BAUDENS <baudens@mandrakesoft.com> 2.10.1.0.2-2mdk
- BuildRequires: texinfo

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.1.0.2-1mdk
- Split libs(and devel) of binaries.
- 2.10.1.0.2.

* Thu Nov 09 2000 Franois Pons <fpons@mandrakesoft.com> 2.10.1-1mdk
- new release

* Tue Oct 10 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.24-5mdk
- Really remove c++filt this one come from gcc2.96 package.

* Sun Aug 27 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.10.0.24-4mdk
- add back c++filt (chmouscks)

* Sun Aug 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.24-3mdk
- Fix %post script.

* Sat Aug 26 2000 David BAUDENS <baudens@mandrakesoft.com> 2.10.0.24-2mdk
- Fix build for i486 (and other x86 archs)
- Human readable Description

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.0.24-1mdk
- new release
- fix tmppath

* Fri Jul 28 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.10.0.18-1mdk
- BM
- new release
- real macroszification.

* Wed Jul 12 2000 Warly <warly@mandrakesoft.com> 2.10.0.12-1mdk
- 2.10.0.12

* Thu Jun 29 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.10.0.9-2mdk
- Macroszification.
- Remove c++-filt since the one from gcc2.96 is more recent.

* Mon Jun 26 2000 Warly <warly@mandrakesoft.com> 2.10.0.9-1mdk
- 2.10.0.9

* Thu Mar 23 2000 Florent Villard <warly@mandrakesoft.com> 2.9.5.0.31-1mdk
- group update
- mandrake adaptation
